#ifndef LED_H
#define LED_H

#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>

void led_init(void);
void led_set(int led_id, int state);
void led_toggle(int led_id);
void led_start_blink(int led_id, int interval_ms);
void led_stop_blink(int led_id);

#endif // LED_H
